Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface JMSServiceConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter

public interface JMSServiceConfig
extends ConfigElement, Container

Configuration for the <jms-service> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`JMSHostConfig` | `createJMSHostConfig(java.lang.String name, java.util.Map optional)` Creates a new jms-host element.
`java.lang.String` | `getAddresslistBehavior()`
`java.lang.String` | `getAddresslistIterations()`
`java.lang.String` | `getDefaultJMSHost()`
`java.lang.String` | `getInitTimeoutInSeconds()`
`java.util.Map` | `getJMSHostConfigMap()` Calls Container.getContaineeMap( XTypes.JMS_HOST_CONFIG ).
`java.lang.String` | `getMQScheme()`
`java.lang.String` | `getMQService()`
`java.lang.String` | `getReconnectAttempts()`
`boolean` | `getReconnectEnabled()`
`java.lang.String` | `getReconnectIntervalInSeconds()`
`java.lang.String` | `getStartArgs()`
`java.lang.String` | `getType()`
`void` | `removeJMSHostConfig(java.lang.String name)` Removes a jms-host element.
`void` | `setAddresslistBehavior(java.lang.String value)`
`void` | `setAddresslistIterations(java.lang.String value)`
`void` | `setDefaultJMSHost(java.lang.String value)`
`void` | `setInitTimeoutInSeconds(java.lang.String value)`
`void` | `setMQScheme(java.lang.String value)`
`void` | `setMQService(java.lang.String value)`
`void` | `setReconnectAttempts(java.lang.String value)`
`void` | `setReconnectEnabled(boolean value)`
`void` | `setReconnectIntervalInSeconds(java.lang.String value)`
`void` | `setStartArgs(java.lang.String value)`
`void` | `setType(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAddresslistBehavior

    public java.lang.String getAddresslistBehavior()

### setAddresslistBehavior

    public void setAddresslistBehavior(java.lang.String value)

### getAddresslistIterations

    public java.lang.String getAddresslistIterations()

### setAddresslistIterations

    public void setAddresslistIterations(java.lang.String value)

### getDefaultJMSHost

    public java.lang.String getDefaultJMSHost()

### setDefaultJMSHost

    public void setDefaultJMSHost(java.lang.String value)

### getInitTimeoutInSeconds

    public java.lang.String getInitTimeoutInSeconds()

### setInitTimeoutInSeconds

    public void setInitTimeoutInSeconds(java.lang.String value)

### getMQScheme

    public java.lang.String getMQScheme()

### setMQScheme

    public void setMQScheme(java.lang.String value)

### getMQService

    public java.lang.String getMQService()

### setMQService

    public void setMQService(java.lang.String value)

### getReconnectAttempts

    public java.lang.String getReconnectAttempts()

### setReconnectAttempts

    public void setReconnectAttempts(java.lang.String value)

### getReconnectEnabled

    public boolean getReconnectEnabled()

### setReconnectEnabled

    public void setReconnectEnabled(boolean value)

### getReconnectIntervalInSeconds

    public java.lang.String getReconnectIntervalInSeconds()

### setReconnectIntervalInSeconds

    public void setReconnectIntervalInSeconds(java.lang.String value)

### getStartArgs

    public java.lang.String getStartArgs()

### setStartArgs

    public void setStartArgs(java.lang.String value)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String value)

### getJMSHostConfigMap

    public java.util.Map getJMSHostConfigMap()

  Calls Container.getContaineeMap( XTypes.JMS_HOST_CONFIG ).

  Returns:
    Map of JMSHostConfig MBean proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createJMSHostConfig

    public JMSHostConfig createJMSHostConfig(java.lang.String name,
                                             java.util.Map optional)

  Creates a new jms-host element.

  Parameters:
    `name` - The name (id) of the jms-host.
    `optional` - A map of optional params keyed on the attribute keys defined here. (eg:- HOST_KEY).
  Returns:
    A proxy to the JMSHostConfig MBean.
  See Also:
    `JMSHostConfigKeys`

### removeJMSHostConfig

    public void removeJMSHostConfig(java.lang.String name)

  Removes a jms-host element.

  Parameters:
    `name` - The name (id) of the jms-host.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.